TYPOS3.Flow - Bug #33971

Missing id attributes in XLIFF files are not reported to the user
2012-02-16 11:10 - Karsten Dambekalns

Status: Resolved Start date: 2012-02-16
Priority: Should have Due date:

Assignee: Karsten Dambekalns % Done: 100%
Category: 118n Estimated time: 0.00 hour
Target version: 1.1

PHP Version: Complexity:

Has patch: No

Description

XLIFF requires id attributes, but if they are missing, FLOW3 does not complain. Instead, something happens in the XLIFF parser. An
exception would be the better alternative to that.

Associated revisions

Revision 3872d435 - 2012-04-26 14:43 - Karsten Dambekalns
[BUGFIX] Adds detection of missing id attributes in XLIFF files
XLIFF requires id attributes on trans-unit tags, but if they are missing,

FLOWS does not complain. An exception is now thrown, instead of
some unspecified behavior.

Change-1d: 11¢6781d722d8fc97a2e570742bbf9906c11247bf

Fixes: #33971
Releases: 1.1

History

#1 - 2012-02-16 15:41 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http:/review.typo3.0rg/9050

#2 - 2012-02-16 15:46 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9050

#3 - 2012-04-26 14:57 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http:/review.typo3.org/9050

#4 - 2012-04-27 02:38 - Karsten Dambekalns
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset 3872d4354eb20ec50e06380e409dc1e564b888ae.
